import { NgModule } from '@angular/core';
import { PreloadAllModules, RouterModule, Routes } from '@angular/router';

const routes: Routes = [
  {
    path: '',
    redirectTo: 'home',
    pathMatch: 'full'
  },
  {
    path: 'home',
    loadChildren: () => import('./pages/home/home.module').then( m => m.HomePageModule)
  },
  {
    path: 'folder/:id',
    loadChildren: () => import('./pages/folder/folder.module').then( m => m.FolderPageModule)
  },
  {
    path: 'calendars',
    loadChildren: () => import('./pages/calendars/calendars.module').then( m => m.CalendarsPageModule)
  },
  {
    path: 'shift-types',
    loadChildren: () => import('./pages/shift-types/shift-types.module').then( m => m.ShiftTypesPageModule)
  },
  {
    path: 'shift-type-editor',
    loadChildren: () => import('./pages/shift-type-editor/shift-type-editor.module').then( m => m.ShiftTypeEditorPageModule)
  },
  {
    path: 'coworkers',
    loadChildren: () => import('./pages/coworkers/coworkers.module').then( m => m.CoworkersPageModule)
  },
  {
    path: 'swaps',
    loadChildren: () => import('./pages/swaps/swaps.module').then( m => m.SwapsPageModule)
  }

];

@NgModule({
  imports: [
    RouterModule.forRoot(routes, { preloadingStrategy: PreloadAllModules })
  ],
  exports: [RouterModule]
})
export class AppRoutingModule {}
