import { TranslateLoader } from "@ngx-translate/core";
import { Observable } from "rxjs";
import ca from '../assets/i18n/ca.json';
import en from '../assets/i18n/en.json';
import es from '../assets/i18n/es.json';

export class AppTranslateLoader implements TranslateLoader {

  public getTranslation(lang: string): Observable<any> {
      return new Observable(observer => {
          switch (lang.split("-")[0]) {
              case 'ca':
                  observer.next(ca);
                  break;
              case 'en':
                  observer.next(en);
                  break;
              case 'es':
                  observer.next(es);
                  break;
          }
          observer.complete();
      });
  }

}
