import { CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { TestBed, waitForAsync } from '@angular/core/testing';
import { RouterTestingModule } from '@angular/router/testing';
import { TranslateService } from '@ngx-translate/core';

import { AppComponent } from './app.component';
import { MockTranslateService } from 'src/test/mock-translate.service';

describe('AppComponent', () => {

  beforeEach(waitForAsync(() => {
    TestBed.configureTestingModule({
      declarations: [AppComponent],
      imports: [ RouterTestingModule.withRoutes([])],
      providers: [ { provide: TranslateService, useClass: MockTranslateService } ],
      schemas: [CUSTOM_ELEMENTS_SCHEMA],
    }).compileComponents();
  }));

  it('should create the app', waitForAsync(() => {
    const fixture = TestBed.createComponent(AppComponent);
    const app = fixture.debugElement.componentInstance;
    expect(app).toBeTruthy();
  }));

  it('should have title', waitForAsync(() => {
    const fixture = TestBed.createComponent(AppComponent);
    fixture.detectChanges();
    const app = fixture.nativeElement;
    const menuItems = app.querySelectorAll('ion-title');
    expect(menuItems.length).toEqual(1);
    expect(menuItems[0].textContent).toBe('TurnReturn');
  }));

  it('should have a hide menu button', waitForAsync(() => {
    const fixture = TestBed.createComponent(AppComponent);
    fixture.detectChanges();
    const app = fixture.nativeElement;
    const menuItems = app.querySelectorAll('ion-menu-button');
    expect(menuItems.length).toEqual(1);
  }));

  it('should have urls', waitForAsync(() => {
    const fixture = TestBed.createComponent(AppComponent);
    fixture.detectChanges();
    const app = fixture.nativeElement;
    const menuItems = app.querySelectorAll('ion-item');
    expect(menuItems.length).toEqual(9);
    expect(menuItems[0].getAttribute('ng-reflect-router-link')).toEqual('/home');
    expect(menuItems[1].getAttribute('ng-reflect-router-link')).toEqual('/calendars');
    expect(menuItems[2].getAttribute('ng-reflect-router-link')).toEqual('/shift-types');
    expect(menuItems[3].getAttribute('ng-reflect-router-link')).toEqual('/coworkers');
    expect(menuItems[4].getAttribute('ng-reflect-router-link')).toEqual('/swaps');
    expect(menuItems[5].getAttribute('ng-reflect-router-link')).toEqual('/folder/Stats');
    expect(menuItems[6].getAttribute('ng-reflect-router-link')).toEqual('/folder/Sync');
    expect(menuItems[7].getAttribute('ng-reflect-router-link')).toEqual('/folder/Share');
    expect(menuItems[8].getAttribute('ng-reflect-router-link')).toEqual('/folder/Settings');
  }));

});
