import { Component } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';

@Component({
  selector: 'app-root',
  templateUrl: 'app.component.html',
  styleUrls: ['app.component.scss'],
})
export class AppComponent {

  public appPages = [
    { title: 'sidemenu.home', url: '/home', icon: 'home' },
    { title: 'sidemenu.calendars', url: '/calendars', icon: 'calendar-clear' },
    { title: 'sidemenu.shifts', url: '/shift-types', icon: 'time' },
    { title: 'sidemenu.coworkers', url: '/coworkers', icon: 'people' },
    { title: 'sidemenu.swaps', url: '/swaps', icon: 'swap-horizontal' },
    { title: 'sidemenu.stats', url: '/folder/Stats', icon: 'stats-chart' },
    { title: 'sidemenu.sync', url: '/folder/Sync', icon: 'sync' },
    { title: 'sidemenu.share', url: '/folder/Share', icon: 'share-social' },
    { title: 'sidemenu.settings', url: '/folder/Settings', icon: 'settings' },
  ];

  constructor(private translateService: TranslateService) {}

  ngOnInit() {
    this.translateService.setDefaultLang('en');
    if (window.Intl && typeof window.Intl === 'object') {
      this.translateService.use(navigator.language);
    }
  }

}
