import { DatePipe, registerLocaleData } from "@angular/common";
import { HttpClientModule } from "@angular/common/http";
import localeCa from '@angular/common/locales/ca';
import localeEn from '@angular/common/locales/en';
import localeEs from '@angular/common/locales/es';
import { NgModule } from "@angular/core";
import { BrowserModule } from "@angular/platform-browser";
import { RouteReuseStrategy } from "@angular/router";
import { SQLite } from "@ionic-native/sqlite/ngx";
import { IonicModule, IonicRouteStrategy } from "@ionic/angular";
import { TranslateModule } from "@ngx-translate/core";
import { AppRoutingModule } from "./app-routing.module";
import { appTranslateConfig } from "./app-translate-config";
import { AppComponent } from "./app.component";

registerLocaleData(localeCa, 'ca');
registerLocaleData(localeEn, 'en');
registerLocaleData(localeEs, 'es');

@NgModule({
  declarations: [AppComponent],
  entryComponents: [],
  imports: [
    AppRoutingModule,
    BrowserModule,
    HttpClientModule,
    IonicModule.forRoot(),
    TranslateModule.forRoot(appTranslateConfig)
  ],
  providers: [
    { provide: RouteReuseStrategy, useClass: IonicRouteStrategy },
    DatePipe,
    SQLite,
  ],
  bootstrap: [AppComponent],
})
export class AppModule {}
