import { Component, Input, OnInit } from '@angular/core';
import { PopoverController } from '@ionic/angular';

import { Calendar } from 'src/app/interfaces/calendar';
import { CalendarService } from 'src/app/services/calendar.service';

@Component({
  selector: 'app-calendar-editor-popover',
  templateUrl: './calendar-editor.popover.html',
  styleUrls: ['./calendar-editor.popover.scss'],
})
export class CalendarEditorPopover implements OnInit {

  @Input() calendar?: Calendar;

  constructor(
    private popover: PopoverController,
    private calendarService: CalendarService,
  ) {}

  ngOnInit() {
    this.calendar = this.calendar || { id: null, name: null };
  }

  cancel() {
    this.popover.dismiss(null, 'cancel');
  }

  save() {
    this.calendarService.saveCalendar(this.calendar).subscribe({
      complete: () => this.popover.dismiss(null, 'save'),
      error: (error) => this.popover.dismiss(error, 'error'),
    });
  }

}
