import { ApplicationRef, Component, OnInit } from '@angular/core';
import { PopoverController } from '@ionic/angular';
import { Calendar } from 'src/app/interfaces/calendar';
import { CalendarService } from 'src/app/services/calendar.service';

@Component({
  selector: 'app-home-view-popover',
  templateUrl: './home-view.popover.html',
  styleUrls: ['./home-view.popover.scss'],
})
export class HomeViewPopover implements OnInit {

  calendars: Calendar[] = [];

  constructor(
    private popover: PopoverController,
    private app: ApplicationRef,
    private calendarService: CalendarService,
  ) {
    this.loadCalendars();
  }

  ngOnInit() {}

  accept() {
    this.popover.dismiss();
  }

  private loadCalendars() {
    this.calendarService.getCalendars().subscribe({
      next: calendars => {
        this.calendars = calendars;
        this.app.tick();
      }
    });
  }

}
