import { Calendar } from "../interfaces/calendar";
import { ShiftType } from "./shift-type";
import { Swap } from "./swap";

export class Shift {

  id: number;
  date: string;
  type: ShiftType;
  calendar: Calendar;
  swap?: Swap = null;

  getColor(): string {
    return this.type.color;
  }

  getContrastColor(): string {
    return this.type.getContrastColor();
  }

  hasSwap(): boolean {
    return this.swap != null;
  }

  isSwappedToCoworker(): boolean {
    return this.hasSwap() && this.swap.isToCoworker();
  }

}
