import { SwapDirection } from "../enums/swap-direction";
import { Coworker } from "./coworker";
import { Shift } from "./shift";

export class Swap {

  shift: Shift;
  coworker: Coworker;
  direction: SwapDirection;

  isFromCoworker(): boolean {
    return this.direction.toString() === 'COWORKER_TO_USER';
  }

  isToCoworker(): boolean {
    return this.direction.toString() === 'USER_TO_COWORKER';
  }

  getOwingHours(): number {
    return this.isToCoworker() ? this.shift.type.hours : -this.shift.type.hours;
  }

}
