import { CommonModule } from "@angular/common";
import { NgModule } from "@angular/core";
import { FormsModule } from "@angular/forms";
import { IonicModule } from "@ionic/angular";
import { TranslateModule } from "@ngx-translate/core";
import { appTranslateConfig } from "src/app/app-translate-config";
import { HomeEditPopover } from "src/app/components/home-edit-popover/home-edit.popover";
import { HomeViewPopover } from "src/app/components/home-view-popover/home-view.popover";
import { TurnCreationPopover } from "src/app/components/turn-creation-popover/turn-creation.popover";
import { TurnDeletionPopover } from "src/app/components/turn-deletion-popover/turn-deletion.popover";
import { TurnSwapPopover } from "src/app/components/turn-swap-popover/turn-swap.popover";
import { HomePageRoutingModule } from "./home-routing.module";
import { HomePage } from "./home.page";

@NgModule({
  declarations: [
    HomeEditPopover,
    HomePage,
    HomeViewPopover,
    TurnCreationPopover,
    TurnDeletionPopover,
    TurnSwapPopover,
  ],
  imports: [
    CommonModule,
    FormsModule,
    HomePageRoutingModule,
    IonicModule,
    TranslateModule.forChild(appTranslateConfig),
  ],
})
export class HomePageModule {}
